[RedHat 9] Recherche RPM de Openldap 2.2.x

Résolu/Fermé
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
- 5 janv. 2006 à 15:43
 ps2ali - 8 déc. 2007 à 19:10
Salut!
Depuis ce matin je cherche en vain un parquetage RPM de Openldap 2.2.x.
Le site de openldap.org ne propose que des fichiers compresser tgz ou tar (l'un des deux en tout cas).
J'ai trouvé seulement dans mesrecherches le fichier "openldap-2.2.26-1.src.rpm" (12.6Mo). J'ai voulu l'installer en faisant "rpm --upgrade /samba-ldap/openldap/openldap-2.2.26-1.src.rpm". Rien ne se passe. J'ai fait alors "rpm --upgrade /samba-ldap/openldap/*.rpm". Toujours rien. Alors que j'ai entré cette dernière commande pour installer samba et ça a marché (je l'ai vu grace à la commande "rpm -qa|grep samba").

Quelqu'un peut il me filer des adresses ou je peux en avoir pour mon compte ?

C'est urgent!!!

Merci.

41 réponses

cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 15:51
En règle générale le site rpm.pbone.net permet de faire des bonnes trouvailles
http://rpm.pbone.net/

notamment ici :

http://rpm.pbone.net/index.php3
le rpm que tu recherches semble s'y trouver.
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 16:01
Merci!
J'ai pu trouver déjà Openldap 2.1.x. Merci encore.
Je vais bien fouiller, en espérant trouver la version 2.2.x mais tu m'as sacrément aidé. Merci!
Si quelqu'un a un lien ou trouver le Openldap 2.2.x, je l'attends!
Merci à tous.
0
cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 16:06
Il est ici pour fc4, ça doit convenir pour Rh9 je pense :

http://mirrors.kernel.org/fedora/core/4/i386/os/Fedora/RPMS/
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 16:19
Merci, je vais de ce pas voir!
Tu m'as été d'une sacrée aide aujourd'hui
0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 16:29
Le voilà, servi sur un plateau !!!

http://www.lfarkas.org/linux/packages/rh9/i386/RPMS/
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 16:35
F-O-R-M-I-D-A-B-L-E!

Vraiment formidable!
Tu m'enlèves un clou de la plante d'un pied.
L'autre bien sûr j'espère pouvoir l'enlever maintenant moi même en installant sans problème OpenLdap!

Je te dois une fière chandelle (ainsi qu'à tout ceux qui ont pris la peine de me lire).

Merci, merci et encore merci, cède, je me suis délecté de ce lien qui m'a été servit sur un plateau d'argent!
Merci et bonne continuation à toi!
Je commence mon travail de ce pas, en espérant que tout marchera comme sur des roulettes!
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 16:54
Excuse moi encore cède!
Je travaille sur un PII. Redémarrer pour moi est un peu compliqué ou plutôt fastidieux donc je veux en finir d'abord avec OpenLdap.

Regardez ceci :


[root@localhost root]# rpm --upgrade /samba-ldap/openldap/*.rpm
error: Failed dependencies:
liblber.so.2 is needed by (installed) libuser-0.51.7-1
liblber.so.2 is needed by (installed) autofs-3.1.7-36
liblber.so.2 is needed by (installed) sendmail-8.12.8-4
liblber.so.2 is needed by (installed) php-ldap-4.2.2-17
liblber.so.2 is needed by (installed) squid-2.5.STABLE1-2
liblber.so.2 is needed by (installed) evolution-1.2.2-4
liblber.so.2 is needed by (installed) balsa-2.0.6-1
liblber.so.2 is needed by (installed) pine-4.44-18
liblber.so.2 is needed by (installed) gnomemeeting-0.96.0-4
liblber.so.2 is needed by (installed) kdelibs-3.1-10
liblber.so.2 is needed by (installed) kdebase-3.1-12
liblber.so.2 is needed by (installed) samba-common-3.0.0-1.test.rh90
liblber.so.2 is needed by (installed) samba-3.0.0-1.test.rh90
liblber.so.2 is needed by (installed) samba-client-3.0.0-1.test.rh90
liblber.so.2 is needed by (installed) samba-swat-3.0.0-1.test.rh90
libldap.so.2 is needed by (installed) libuser-0.51.7-1
libldap.so.2 is needed by (installed) autofs-3.1.7-36
libldap.so.2 is needed by (installed) gnupg-1.2.1-3
libldap.so.2 is needed by (installed) sendmail-8.12.8-4
libldap.so.2 is needed by (installed) php-ldap-4.2.2-17
libldap.so.2 is needed by (installed) squid-2.5.STABLE1-2
libldap.so.2 is needed by (installed) evolution-1.2.2-4
libldap.so.2 is needed by (installed) am-utils-6.0.9-2
libldap.so.2 is needed by (installed) balsa-2.0.6-1
libldap.so.2 is needed by (installed) pine-4.44-18
libldap.so.2 is needed by (installed) gnomemeeting-0.96.0-4
libldap.so.2 is needed by (installed) kdelibs-3.1-10
libldap.so.2 is needed by (installed) kdebase-3.1-12
libldap.so.2 is needed by (installed) xemacs-21.4.12-6
libldap.so.2 is needed by (installed) samba-common-3.0.0-1.test.rh90
libldap.so.2 is needed by (installed) samba-3.0.0-1.test.rh90
libldap.so.2 is needed by (installed) samba-client-3.0.0-1.test.rh90
libldap.so.2 is needed by (installed) samba-swat-3.0.0-1.test.rh90


Qu'est ce que dois faire?
Il me parle de dépendance que je ne connais même pas (enfin, certains noms me disent quelque chose!
0
cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 17:04
Je pense que rh9 fonctionne aussi avec yum,
il faudrait donc configurer les dépôts pour yum
dans
/etc/yum.repos.d et y ajouter les fichiers .repo
1 fichier par dépôt
je ne sais pas si tu as déjà les dépôts de base dans /etc/yum.repos.d
vérifie ceci :
ls -l /etc/yum.repos.d

puis essaie, bien sûr s'il y a déjà des dépôts :
yum install openldap-2.2.*
et yum cherche et installe les dépendances
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 17:10
Merci!
Regarde un peu ça quand j'ai fait :

[root@localhost root]# ls -l /etc/yum.repos.d
ls: /etc/yum.repos.d: Aucun fichier ou répertoire de ce type
[root@localhost root]#

Je crois que ça ne passe pas!

Mais dit (je pense que c'est long) et si je téléchargeais les fichiers qu'il demande, c'est une idée non?
C'est long et au rique qu'il m'en demande d'autres, je pense pouvoir m'en sortir!!!
Ton avis sur l'idée (longue mais peut être sûr et pas trop compliquée parce que yum, je ne l'ai pas ici, bref, un véritable extraterrestre pour moi!)
Merci

NB. Après réflexion, en y pensant bien je me dis que ces fichiers que je vais télécharger risque aussi d'induire des dépendances à n'en point finir! (finallement )yum sert à quoi? comment l'utilise t'on?
0
Zempachi
Messages postés
7472
Date d'inscription
vendredi 14 octobre 2005
Statut
Contributeur
Dernière intervention
5 juin 2020
903
5 janv. 2006 à 17:13
Alors vas telecharger et installer yum qui est le gestionnaire de paquetages sous red hat (en fait ca vient de fedora) qui s'occupera de tout ce qui est "dépendances" automatiquement:
http://dag.wieers.com/packages/yum/
Tu peux aussi installer son interface graphique:
http://dag.wieers.com/packages/yumi/
Evidemment pour l'utiliser il faut le configurer (il faut essentiellment lui indiquer les depots de paquetages) en t'inspirant de:
http://myy.helia.fi/~karte/yum-package-manager.html
http://www.owlriver.com/projects/yum/rhl8-to-rhl9/
http://www.fedora-france.org/modules/wfsection/article.php?articleid=121
http://www.fedora-france.org/modules/wfsection/article.php?articleid=61

Une fois configurer tu tapes "yum install openldap" et le tour est joué.

Sinon il faudra rechercher tous les paquetages (dépendances) et les installer à la main...

0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 17:22
Merci Zempachi, je vais me lancer à YUM.
S'il y a avit moyen de te balancer ma machine par le net, j'irais surement plus vite, mais bon ... il faut apprendre!

Merci j'essaie ça, c'est moins compliqué que ce que je faisais tout à l'heure!
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 17:32
J'essaie d'installer YUM mais

[root@localhost root]# rpm --install /samba-ldap/yum/*.rpm
warning: /samba-ldap/yum/yum-2.0.7-3.0.rh9.test.noarch.rpm: V3 DSA signature: NOKEY, key ID 6b8d79e6
[root@localhost root]#


Que dois je faire ?
0
Zempachi
Messages postés
7472
Date d'inscription
vendredi 14 octobre 2005
Statut
Contributeur
Dernière intervention
5 juin 2020
903
5 janv. 2006 à 17:40
C'est pas grave c'est simplement que le rpm de yum n'est pas certifié Red Hat (comme beaucoup de rpm d'ailleurs) mais ca n'empeche pas qu'il fonctionnera.

Sinon si tu as le choix passes à Fedora.
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 17:45
Merci!
Je suppose donc que c'est installé.
J'ai fait un rpm -qa|grep yum et il m'a sortit quelque chose. Je continue donc.
Malheureusement je ne peux pas de sitôt passer à fedora que j'aimerai bien connaitre mais je n'ai pas les cd d'installation et les télécherger peut me prendre plusieurs jours (je travaille sur un PII capricieux, ...).
Je continue...
0
cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 18:24
Et gedit /etc/yum.conf
ça donne quoi ? si tu as installé yum
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 18:45
Je travaille sous KDE donc j'ai plutôt fait
kwrite /etc/yum.conf
Il m'a ouvert une fenetre ...
Dans les fichiers que Zempachi m'a dit de lire, ils m'ont demandé d'ajouter quelque chose (c'est ce que je fais actuellement). Le fichier est à l'adresse "http://www.fedora-france.org/modules/wfsection/article.php?articleid=61"
Mais les trucs que je fais sont pour les FEDORA, est ce que ça ne va pas me poser de problèmes à long termes ? C'est la question que je me pose actuellement?
Merci encore d'être là les gars
0
cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 18:48
Alors, sous kde c'est
kedit /etc/yum.conf
0
cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 18:54
J'ai regardé plus en détails ton post <7>
en fait il ne manque que 2 dépendances
liblber.so.2
libldap.so.2
sur rpm.pbone.net, c'est facile à trouver

J'ai regardé, et le rpm
openldap-2.0.27-8.i386.rpm
les fournit.
0
flet le kid
Messages postés
200
Date d'inscription
jeudi 6 octobre 2005
Statut
Membre
Dernière intervention
28 juillet 2008
20
5 janv. 2006 à 18:57
Ah, tu m'enlèves encore une épine de l'autre pied cette fois ci.
Je suis en train de me démerder pour configurer YUM.
Je télécharge rapidement les deux librairies et je te fais signe!
A tout à l'heure!
0
cede
Messages postés
1238
Date d'inscription
lundi 12 septembre 2005
Statut
Contributeur
Dernière intervention
9 décembre 2008
111
5 janv. 2006 à 19:06
Pour le yum.conf tu fais
su -
mot de passe
kedit /etc/yum.conf

copié-collé ceci trouvé pour rh9 :

[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=rawhide-release
tolerant=1
exactarch=0
basearch=i386
releasever=rawhide

[base]
name=Red Hat Linux $releasever - $basearch - Base
#baseurl=http://mirror.dulug.duke.edu/pub/yum-repository/redhat/$releasever/$basearch/
baseurl=http://mirror.dulug.duke.edu/pub/yum-repository/redhat/rawhide/$basearch/

enregistrer
0